<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (version 1.7.0_79) on Thu Jun 23 07:55:02 CEST 2016 -->
<title>Piece</title>
<meta name="date" content="2016-06-23">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Piece";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Piece.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/Pattern.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Player.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Piece.html" target="_top">Frames</a></li>
<li><a href="Piece.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">model</div>
<h2 title="Class Piece" class="title">Class Piece</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>model.Piece</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">Piece</span>
extends java.lang.Object
implements java.io.Serializable</pre>
<div class="block">The Class Piece represent the different piece possible with the blokus.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../serialized-form.html#model.Piece">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../model/Piece.html#Piece(int,%20model.Pattern)">Piece</a></strong>(int&nbsp;numPattern,
     <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</code>
<div class="block">Instantiates a new piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../model/Piece.html#Piece(int,%20model.Pattern,%20model.Player)">Piece</a></strong>(int&nbsp;numPattern,
     <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
     <a href="../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Instantiates a new piece.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#getIsUse()">getIsUse</a></strong>()</code>
<div class="block">Checks if this piece is use.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean[][]</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#getMinimumPattern()">getMinimumPattern</a></strong>()</code>
<div class="block">This method return the smallest representation of the pattern of this piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int[][]</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#getPattern()">getPattern</a></strong>()</code>
<div class="block">Gets the pattern.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../model/Player.html" title="class in model">Player</a></code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#getPlayer()">getPlayer</a></strong>()</code>
<div class="block">Get the player of the piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#getScore()">getScore</a></strong>()</code>
<div class="block">Get the score of the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#reverse()">reverse</a></strong>()</code>
<div class="block">Reverse this piece.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#rotateLeft()">rotateLeft</a></strong>()</code>
<div class="block">Rotate the piece on the left.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#rotateRight()">rotateRight</a></strong>()</code>
<div class="block">Rotate the piece on the right.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#setPlayer(model.Player)">setPlayer</a></strong>(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;player)</code>
<div class="block">Set the player of the piece.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#setScore()">setScore</a></strong>()</code>
<div class="block">Set the score.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../model/Piece.html#use()">use</a></strong>()</code>
<div class="block">Use this piece.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Piece(int, model.Pattern, model.Player)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Piece</h4>
<pre>public&nbsp;Piece(int&nbsp;numPattern,
     <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern,
     <a href="../model/Player.html" title="class in model">Player</a>&nbsp;player)</pre>
<div class="block">Instantiates a new piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>numPattern</code> - the number of the piece in the pattern</dd><dd><code>pattern</code> - the pattern</dd><dd><code>player</code> - the player</dd></dl>
</li>
</ul>
<a name="Piece(int, model.Pattern)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Piece</h4>
<pre>public&nbsp;Piece(int&nbsp;numPattern,
     <a href="../model/Pattern.html" title="class in model">Pattern</a>&nbsp;pattern)</pre>
<div class="block">Instantiates a new piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>numPattern</code> - the number of the piece in the pattern</dd><dd><code>pattern</code> - the pattern</dd></dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="setScore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScore</h4>
<pre>public&nbsp;void&nbsp;setScore()</pre>
<div class="block">Set the score.</div>
</li>
</ul>
<a name="getScore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;int&nbsp;getScore()</pre>
<div class="block">Get the score of the piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the score</dd></dl>
</li>
</ul>
<a name="getPlayer()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayer</h4>
<pre>public&nbsp;<a href="../model/Player.html" title="class in model">Player</a>&nbsp;getPlayer()</pre>
<div class="block">Get the player of the piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the player</dd></dl>
</li>
</ul>
<a name="setPlayer(model.Player)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayer</h4>
<pre>public&nbsp;void&nbsp;setPlayer(<a href="../model/Player.html" title="class in model">Player</a>&nbsp;player)</pre>
<div class="block">Set the player of the piece.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>player</code> - the new player</dd></dl>
</li>
</ul>
<a name="use()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>use</h4>
<pre>public&nbsp;void&nbsp;use()</pre>
<div class="block">Use this piece.</div>
</li>
</ul>
<a name="getIsUse()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getIsUse</h4>
<pre>public&nbsp;boolean&nbsp;getIsUse()</pre>
<div class="block">Checks if this piece is use.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the state of the piece</dd></dl>
</li>
</ul>
<a name="getPattern()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPattern</h4>
<pre>public&nbsp;int[][]&nbsp;getPattern()</pre>
<div class="block">Gets the pattern.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>the pattern</dd></dl>
</li>
</ul>
<a name="rotateRight()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateRight</h4>
<pre>public&nbsp;void&nbsp;rotateRight()</pre>
<div class="block">Rotate the piece on the right.</div>
</li>
</ul>
<a name="rotateLeft()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>rotateLeft</h4>
<pre>public&nbsp;void&nbsp;rotateLeft()</pre>
<div class="block">Rotate the piece on the left.</div>
</li>
</ul>
<a name="reverse()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reverse</h4>
<pre>public&nbsp;void&nbsp;reverse()</pre>
<div class="block">Reverse this piece.</div>
</li>
</ul>
<a name="getMinimumPattern()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getMinimumPattern</h4>
<pre>public&nbsp;boolean[][]&nbsp;getMinimumPattern()</pre>
<div class="block">This method return the smallest representation of the pattern of this piece.</div>
<dl><dt><span class="strong">Returns:</span></dt><dd>The smallest pattern (a board of boolean)</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Piece.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../model/Pattern.html" title="class in model"><span class="strong">Prev Class</span></a></li>
<li><a href="../model/Player.html" title="class in model"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../index.html?model/Piece.html" target="_top">Frames</a></li>
<li><a href="Piece.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
